Loading...
Searching...
No Matches
obiter.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/bitvec.h>`
`#include <vector>`
`#include <stack>`
`#include <queue>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBMolAtomIter
class | OBMolAtomDFSIter
class | OBMolAtomBFSIter
class | OBMolBondBFSIter
class | OBMolBondIter
class | OBAtomAtomIter
class | OBAtomBondIter
class | OBResidueIter
class | OBResidueAtomIter
class | OBMolAngleIter
class | OBMolTorsionIter
class | OBMolPairIter
class | OBMolRingIter

## Namespaces

namespace | OpenBabel

## Macros

#define | FOR_ATOMS_OF_MOL(a, m)
#define | FOR_BONDS_OF_MOL(b, m)
#define | FOR_NBORS_OF_ATOM(a, p)
#define | FOR_BONDS_OF_ATOM(b, p)
#define | FOR_RESIDUES_OF_MOL(r, m)
#define | FOR_ATOMS_OF_RESIDUE(a, r)
#define | FOR_DFS_OF_MOL(a, m)
#define | FOR_BFS_OF_MOL(a, m)
#define | FOR_BONDBFS_OF_MOL(b, m)
#define | FOR_RINGS_OF_MOL(r, m)
#define | FOR_ANGLES_OF_MOL(a, m)
#define | FOR_TORSIONS_OF_MOL(t, m)
#define | FOR_PAIRS_OF_MOL(p, m)

## Detailed Description

STL-style iterators for Open Babel.

## Macro Definition Documentation

## FOR_ATOMS_OF_MOL

#define FOR_ATOMS_OF_MOL | ( |  | a,
|  |  | m )

Value:
for( OpenBabel::OBMolAtomIter a(m); a; ++a )
OpenBabel::OBMolAtomIter
Iterate over all atoms in an OBMol.
Definition obiter.h:41

Referenced by OBMol::AssignTotalChargeToAtoms(), OBBuilder::Build(), OpenBabel::CanonicalLabels(), OpenBabel::CompileAutomorphismQuery(), OpenBabel::CompileMoleculeQuery(), OBForceField::ConjugateGradientsInitialize(), OBForceField::ConjugateGradientsTakeNSteps(), OBForceField::CorrectVelocities(), OBForceField::DetectExplosion(), OBForceField::DistanceGeometry(), OBUnitCell::FillUnitCell(), OBMol::FindAngles(), OpenBabel::findMetalloceneBonds(), OpenBabel::FindRingAtomsAndBonds2(), OBForceField::GenerateVelocities(), OBForceField::GetAtomTypes(), OBForceField::GetCoordinates(), OBChargeModel::GetDipoleMoment(), OBForceField::GetGrid(), OBForceField::GetPartialCharges(), OBMol::GetSpacedFormula(), OpenBabel::InternalToCartesian(), OBForceField::IsSetupNeeded(), OBForceField::MolecularDynamicsTakeNSteps(), OBGraphSym::OBGraphSym(), OBChainsParser::PerceiveChains(), OBForceField::PrintFormalCharges(), OBForceField::PrintPartialCharges(), OBForceField::PrintTypes(), OBForceField::PrintVelocities(), AliasData::RevertToAliasForm(), OBForceField::SetConformers(), OBForceField::SetCoordinates(), OBForceField::SteepestDescentTakeNSteps(), OBPointGroup::Symmetrize(), and OBAlign::UpdateCoords().

## FOR_BONDS_OF_MOL

#define FOR_BONDS_OF_MOL | ( |  | b,
|  |  | m )

Value:
for( OpenBabel::OBMolBondIter b(m); b; ++b )
OpenBabel::OBMolBondIter
Iterate over all bonds in an OBMol.
Definition obiter.h:164

Referenced by OBBuilder::Build(), OpenBabel::CanonicalLabels(), OpenBabel::CompileAutomorphismQuery(), OpenBabel::CompileMoleculeQuery(), OBMol::CopySubstructure(), OBForceField::DetectExplosion(), OpenBabel::FindRingAtomsAndBonds2(), OBForceField::IsSetupNeeded(), and OBMol::PerceiveBondOrders().

## FOR_NBORS_OF_ATOM

#define FOR_NBORS_OF_ATOM | ( |  | a,
|  |  | p )

Value:
for( OpenBabel::OBAtomAtomIter a(p); a; ++a )
OpenBabel::OBAtomAtomIter
Iterate over all neighboring atoms to an OBAtom.
Definition obiter.h:190

Referenced by OBBuilder::AddNbrs(), OpenBabel::addNbrs(), OBBuilder::Build(), OBBuilder::Connect(), OBForceField::DistanceGeometry(), OBMol::FindAngles(), OpenBabel::findMetalloceneBonds(), OpenBabel::getFragment(), OBBuilder::GetNewBondVector(), OBAtom::IsHbondAcceptor(), OBBuilder::IsSpiroAtom(), OBChainsParser::PerceiveChains(), and OBRotorList::RemoveSymVals().

## FOR_BONDS_OF_ATOM

#define FOR_BONDS_OF_ATOM | ( |  | b,
|  |  | p )

Value:
for( OpenBabel::OBAtomBondIter b(p); b; ++b )
OpenBabel::OBAtomBondIter
Iterate over all bonds on an OBAtom.
Definition obiter.h:216

Referenced by OpenBabel::CanonicalLabels(), OBMol::ConvertZeroBonds(), OBMol::CopySubstructure(), OBBuilder::CorrectStereoAtoms(), OBMol::FindChildren(), OpenBabel::FindExocyclicAtom(), OpenBabel::HasExocyclicBondToOxygenMinus(), OpenBabel::HasExocyclicDblBondToHet(), OpenBabel::HasExocyclicDblBondToOxygen(), OpenBabel::NeedsDoubleBond(), and OpenBabel::OBBondGetSmallestRingSize().

## FOR_RESIDUES_OF_MOL

#define FOR_RESIDUES_OF_MOL | ( |  | r,
|  |  | m )

Value:
for( OpenBabel::OBResidueIter r(m); r; ++r )
OpenBabel::OBResidueIter
Iterate over all residues in an OBMol.
Definition obiter.h:242

## FOR_ATOMS_OF_RESIDUE

#define FOR_ATOMS_OF_RESIDUE | ( |  | a,
|  |  | r )

Value:
for( OpenBabel::OBResidueAtomIter a(r); a; ++a )
OpenBabel::OBResidueAtomIter
Iterate over all atoms in an OBResidue.
Definition obiter.h:268

Referenced by OBMol::operator+=().

## FOR_DFS_OF_MOL

#define FOR_DFS_OF_MOL | ( |  | a,
|  |  | m )

Value:
for( OpenBabel::OBMolAtomDFSIter a(m); a; ++a )
OpenBabel::OBMolAtomDFSIter
Iterate over all atoms in an OBMol in a depth-first search (DFS).
Definition obiter.h:67

Referenced by OBBuilder::Build().

## FOR_BFS_OF_MOL

#define FOR_BFS_OF_MOL | ( |  | a,
|  |  | m )

Value:
for( OpenBabel::OBMolAtomBFSIter a(m); a; ++a )
OpenBabel::OBMolAtomBFSIter
Iterate over all atoms in an OBMol in a breadth-first search (BFS).
Definition obiter.h:102

## FOR_BONDBFS_OF_MOL

#define FOR_BONDBFS_OF_MOL | ( |  | b,
|  |  | m )

Value:
for( OpenBabel::OBMolBondBFSIter b(m); b; ++b )
OpenBabel::OBMolBondBFSIter
Iterate over all bonds in an OBMol in a breadth-first search (BFS).
Definition obiter.h:133

## FOR_RINGS_OF_MOL

#define FOR_RINGS_OF_MOL | ( |  | r,
|  |  | m )

Value:
for( OpenBabel::OBMolRingIter r(m); r; ++r )
OpenBabel::OBMolRingIter
Iterate over all rings in an OBMol.
Definition obiter.h:372

Referenced by OBRotamerList::Setup().

## FOR_ANGLES_OF_MOL

#define FOR_ANGLES_OF_MOL | ( |  | a,
|  |  | m )

Value:
for( OpenBabel::OBMolAngleIter a(m); a; ++a )
OpenBabel::OBMolAngleIter
Iterate over all angles in an OBMol.
Definition obiter.h:294

## FOR_TORSIONS_OF_MOL

#define FOR_TORSIONS_OF_MOL | ( |  | t,
|  |  | m )

Value:
for( OpenBabel::OBMolTorsionIter t(m); t; ++t )
OpenBabel::OBMolTorsionIter
Iterate over all torsions in an OBMol.
Definition obiter.h:318

## FOR_PAIRS_OF_MOL

#define FOR_PAIRS_OF_MOL | ( |  | p,
|  |  | m )

Value:
for( OpenBabel::OBMolPairIter p(m); p; ++p )
OpenBabel::OBMolPairIter
Iterate over all pairs of atoms (>1-4) in an OBMol.
Definition obiter.h:342

Referenced by OBForceField::GetNumPairs(), and OBForceField::UpdatePairsSimple().